Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Optimus-manager
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 430
Location: Colle Umberto ( TV )

PostPosted: Tue Mar 31, 2020 12:07 pm    Post subject: Optimus-manager Reply with quote

Ciao ragazzi, avrei bisogno di voi per capire se è fattibile usare un programma, nella specifico mi riferisco ad optimus-manager, per gestire lo switch tra la integrata e la dedicata nvidia.
Tale programma è presente in un overlay, Premetto di aver disabilitato bumblebee prima, ma inizio ad aver qualche dubbio riguardo all'utilizzo di tale programma su openrc.
Inizio a dare tutti i dati.

Allora, il servizio è correttamente inserito con rc-update ed ho correttamente disabilitato bumblebee:
Code:
gentoobook:/home/zar_marco # rc-update -a | grep optimus
      optimus-manager |      default
gentoobook:/home/zar_marco # rc-update -a | grep bumblebee


Dopo averlo fatto provo a startarlo, e qui iniziano i problemi:
Code:

gentoobook:/home/zar_marco # /etc/init.d/optimus-manager start
 * Caching service dependencies ...                                                        [ ok ]

2020-03-31 02:05:12 PM +0200 ====================

Optimus Manager (Setup script) version 1.2.2
Setting up boot
Removing config copy
removing last acpi_call state (if any)
Copying user config
Error : attempting to run the initial boot setup while a X server is already running ! Skipping initial GPU setup.
 * Starting Optimus Manager daemon ...
 * start-stop-daemon: user `/usr/bin/optimus-manager-daemon' not found
 * Failed to start Optimus Manager daemon                                                  [ !! ]
 * ERROR: optimus-manager failed to start


ho provato a contattare lo sviluppatore che mi ha risposto solo che devono essere disattivi altri manager, cosa fatta.

Il dubbio riguardo al suo funzionamento con openrc mi viene da questo output, se provo a switchare tra una scheda e l'altra:
Code:
zar_marco@gentoobook:~ % optimus-manager --switch nvidia

Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/bus.py", line 177, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib64/python3.6/site-packages/dbus/bus.py", line 363, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib64/python3.6/site-packages/dbus/connection.py", line 653, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.freedesktop.systemd1': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.6/optimus-manager", line 11, in <module>
    load_entry_point('optimus-manager==1.2.2', 'console_scripts', 'optimus-manager')()
  File "/usr/lib64/python3.6/site-packages/optimus_manager/optimus_manager_client.py", line 80, in main
    _check_daemon_active()
  File "/usr/lib64/python3.6/site-packages/optimus_manager/optimus_manager_client.py", line 212, in _check_daemon_active
    if not checks.is_daemon_active():
  File "/usr/lib64/python3.6/site-packages/optimus_manager/checks.py", line 91, in is_daemon_active
    return _is_service_active("optimus-manager")
  File "/usr/lib64/python3.6/site-packages/optimus_manager/checks.py", line 121, in _is_service_active
    return _is_service_active_dbus(system_bus, service_name)
  File "/usr/lib64/python3.6/site-packages/optimus_manager/checks.py", line 125, in _is_service_active_dbus
    systemd = system_bus.get_object("org.freedesktop.systemd1", "/org/freedesktop/systemd1")
  File "/usr/lib64/python3.6/site-packages/dbus/bus.py", line 243, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib64/python3.6/site-packages/dbus/proxies.py", line 250, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib64/python3.6/site-packages/dbus/bus.py", line 182, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib64/python3.6/site-packages/dbus/bus.py", line 280, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib64/python3.6/site-packages/dbus/connection.py", line 653, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.systemd1 was not provided by any .service files


Voi avete una qualche idea?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum